Summary:    X.Org X11 X server utilities
Name:       xorg-x11-server-utils
Version:    7.7
Release:    30
License:    MIT
URL:        http://www.x.org

Source0:    https://www.x.org/pub/individual/app/iceauth-1.0.8.tar.bz2
Source1:    https://www.x.org/pub/individual/app/rgb-1.0.6.tar.bz2
Source2:    https://www.x.org/pub/individual/app/sessreg-1.1.2.tar.bz2
Source3:    https://www.x.org/pub/individual/app/xgamma-1.0.6.tar.bz2
Source4:    https://www.x.org/pub/individual/app/xhost-1.0.7.tar.bz2
Source5:    https://www.x.org/pub/individual/app/xinput-1.6.2.tar.bz2
Source6:    https://www.x.org/pub/individual/app/xkill-1.0.5.tar.bz2
Source7:    https://www.x.org/pub/individual/app/xmodmap-1.0.9.tar.bz2
Source8:    https://www.x.org/pub/individual/app/xrandr-1.5.0.tar.bz2
Source9:    https://www.x.org/pub/individual/app/xrdb-1.1.1.tar.bz2
Source10:   https://www.x.org/pub/individual/app/xrefresh-1.0.6.tar.bz2
Source11:   https://www.x.org/pub/individual/app/xset-1.2.4.tar.bz2
Source12:   https://www.x.org/pub/individual/app/xsetpointer-1.0.1.tar.bz2
Source13:   https://www.x.org/pub/individual/app/xsetroot-1.1.2.tar.bz2
Source14:   https://www.x.org/pub/individual/app/xstdcmap-1.0.3.tar.bz2

BuildRequires: xorg-x11-util-macros pkgconfig(xbitmaps) pkgconfig(xcursor) pkgconfig(xext) pkgconfig(xi) 
BuildRequires: pkgconfig(xinerama) pkgconfig(xmu) pkgconfig(xpm) pkgconfig(xrandr) pkgconfig(xrender)
BuildRequires: pkgconfig(xt) pkgconfig(xtrans) pkgconfig(xxf86vm) libtool

Requires:   mcpp

Provides:   iceauth = 1.0.8
Provides:   rgb = 1.0.6
Provides:   sessreg = 1.1.2
Provides:   xgamma = 1.0.6
Provides:   xhost = 1.0.7
Provides:   xinput = 1.6.2
Provides:   xkill = 1.0.5
Provides:   xmodmap = 1.0.9
Provides:   xrandr = 1.5.0
Provides:   xrdb = 1.1.1
Provides:   xrefresh = 1.0.6
Provides:   xset = 1.2.4
Provides:   xsetpointer = 1.0.1
Provides:   xsetroot = 1.1.2
Provides:   xstdcmap = 1.0.3

%description
A collection of utilities used to tweak and query the runtime configuration of the X server.

%package_help

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14

%build
{
   for app in * ; do
      pushd $app
      case $app in
         xrdb-*)
            autoreconf -vif
            %configure --with-cpp=%{_bindir}/mcpp
            ;;
         *)
            autoreconf -vif
            %configure
            ;;
      esac
      %{make_build}
      popd
   done
}

%install
{
   for app in * ; do
      pushd $app
      case $app in
         *)
            %make_install
            ;;
      esac
      popd
   done
}

%files
%doc
%exclude %{_bindir}/xkeystone
%{_bindir}/iceauth
%{_bindir}/sessreg
%{_bindir}/showrgb
%{_bindir}/xgamma
%{_bindir}/xhost
%{_bindir}/xinput
%{_bindir}/xkill
%{_bindir}/xmodmap
%{_bindir}/xrandr
%{_bindir}/xrdb
%{_bindir}/xrefresh
%{_bindir}/xset
%{_bindir}/xsetpointer
%{_bindir}/xsetroot
%{_bindir}/xstdcmap
%{_datadir}/X11/rgb.txt

%files help
%{_mandir}/man1/iceauth.1*
%{_mandir}/man1/sessreg.1*
%{_mandir}/man1/showrgb.1*
%{_mandir}/man1/xgamma.1*
%{_mandir}/man1/xhost.1*
%{_mandir}/man1/xinput.1*
%{_mandir}/man1/xkill.1*
%{_mandir}/man1/xmodmap.1*
%{_mandir}/man1/xrandr.1*
%{_mandir}/man1/xrdb.1*
%{_mandir}/man1/xrefresh.1*
%{_mandir}/man1/xset.1*
%{_mandir}/man1/xsetpointer.1*
%{_mandir}/man1/xsetroot.1*
%{_mandir}/man1/xstdcmap.1*

%changelog
* Tue Oct 25 2022 wangkerong <wangkerong@h-partners.com> - 7.7-30
- rebuild for next release

* Wed Aug 05 2020 chengguipeng<chengguipeng1@huawei.com> - 7.7-29
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:Delete pkgconfig(xxf86misc)

* Thu Jan 09 2020 openEuler Buildteam <buildteam@openeuler.org> - 7.7-28
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:update sessreg version to 1.1.2

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 7.7-27
- Package init
